## 顶层平台

```sql
INSERT INTO `sys_menu` (`menu_name`, `parent_id`, `order_num`, `url`, `target`, `menu_type`, `visible`, `is_refresh`, `perms`, `icon`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('设备管理', 0, 4, '#', 'menuItem', 'M', '0', '1', '', 'fa fa-gears', 'admin', '2023-04-21 02:23:13', 'admin', '2023-04-21 02:24:15', '');

-- 按钮父菜单ID
SELECT @topParentId := LAST_INSERT_ID();

-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理', @topParentId, '1', '/pc/platform', 'C', '0', 'system:platform:view', '#', 'admin', sysdate(), '', null, '子平台管理菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理查询', @parentId, '1',  '#',  'F', '0', 'pc:platform:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理新增', @parentId, '2',  '#',  'F', '0', 'pc:platform:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理修改', @parentId, '3',  '#',  'F', '0', 'pc:platform:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理删除', @parentId, '4',  '#',  'F', '0', 'pc:platform:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('子平台管理导出', @parentId, '5',  '#',  'F', '0', 'pc:platform:export',       '#', 'admin', sysdate(), '', null, '');


-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理', '2026', '1', '/pc/monitoring_device', 'C', '0', 'pc:monitoring_device:view', '#', 'admin', sysdate(), '', null, '监控通道管理菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理查询', @parentId, '1',  '#',  'F', '0', 'pc:monitoring_device:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理新增', @parentId, '2',  '#',  'F', '0', 'pc:monitoring_device:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理修改', @parentId, '3',  '#',  'F', '0', 'pc:monitoring_device:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理删除', @parentId, '4',  '#',  'F', '0', 'pc:monitoring_device:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('监控通道管理导出', @parentId, '5',  '#',  'F', '0', 'pc:monitoring_device:export',       '#', 'admin', sysdate(), '', null, '');
-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表', '2026', '1', '/pc/monitoring_device_model', 'C', '0', 'pc:monitoring_device_model:view', '#', 'admin', sysdate(), '', null, '配置模型列表菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表查询', @parentId, '1',  '#',  'F', '0', 'pc:monitoring_device_model:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表新增', @parentId, '2',  '#',  'F', '0', 'pc:monitoring_device_model:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表修改', @parentId, '3',  '#',  'F', '0', 'pc:monitoring_device_model:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表删除', @parentId, '4',  '#',  'F', '0', 'pc:monitoring_device_model:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('配置模型列表导出', @parentId, '5',  '#',  'F', '0', 'pc:monitoring_device_model:export',       '#', 'admin', sysdate(), '', null, '');

```



> 添加心跳任务

- 任务名称：子平台心跳检测
- 任务组：默认
- 调用目标字符串：heartbeatCheckTask.check(10)    # 参数为将新心跳停留在  (??) 分钟之前的子平台设置为心跳异常
- cron表达式： 0 */1 * * * ?   #每一分钟执行一次

![](http://doc.zhangfayuan.cn/uploads/202312/c37143e1ec480ca3569dd0880922d842.png)







## 子平台

```sql
-- 平台类型
INSERT INTO `sys_dict_type` (`dict_name`, `dict_type`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('平台类型', 'platform_type', '0', 'admin', '2023-04-23 07:22:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` ( `dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (1, 'Aibox平台', '1', 'platform_type', NULL, NULL, 'Y', '0', 'admin', '2023-04-23 07:25:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (2, 'SAAS平台', '2', 'platform_type', '', '', 'N', '0', 'admin', '2023-04-23 07:25:49', 'admin', '2023-04-23 07:26:58', '');
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (3, 'PASS平台', '3', 'platform_type', '', '', 'N', '0', 'admin', '2023-04-23 07:26:52', 'admin', '2023-04-23 07:27:10', '');

-- 子平台是否上报
INSERT INTO `sys_dict_type` (`dict_id`, `dict_name`, `dict_type`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('子平台数据是否上报', 'data_report_is_open', '0', 'admin', '2023-04-23 07:40:47', 'admin', '2023-04-23 07:41:07', '');
INSERT INTO `sys_dict_data` ( `dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (1, '上报', '1', 'data_report_is_open', NULL, 'primary', 'Y', '0', 'admin', '2023-04-23 07:41:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` ( `dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (2, '不上报', '2', 'data_report_is_open', '', 'warning', 'N', '0', 'admin', '2023-04-23 07:41:41', 'admin', '2023-04-23 07:41:46', '');


-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置', '1', '1', '/pc/data_report_config', 'C', '0', 'pc:data_report_config:view', '#', 'admin', sysdate(), '', null, '数据上报配置菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置查询', @parentId, '1',  '#',  'F', '0', 'pc:data_report_config:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置新增', @parentId, '2',  '#',  'F', '0', 'pc:data_report_config:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置修改', @parentId, '3',  '#',  'F', '0', 'pc:data_report_config:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置删除', @parentId, '4',  '#',  'F', '0', 'pc:data_report_config:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('数据上报配置导出', @parentId, '5',  '#',  'F', '0', 'pc:data_report_config:export',       '#', 'admin', sysdate(), '', null, '');



CREATE TABLE `pc_data_report_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `platform_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '平台名称',
  `type` tinyint(4) NOT NULL COMMENT '平台类型',
  `parent_platform_ip` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '顶层平台IP',
  `data_report` tinyint(4) NOT NULL COMMENT '是否推送  1：推送  非1 ：不推送',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据上报配置表';




INSERT INTO `sys_dict_type` (`dict_name`, `dict_type`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('模型来源', 'ai_model_resource', '0', 'admin', '2023-04-27 03:50:47', '', NULL, NULL);

INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (1, '父平台', '1', 'ai_model_resource', NULL, NULL, 'Y', '0', 'admin', '2023-04-27 03:51:11', '', NULL, NULL);
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (2, '本地文件', '2', 'ai_model_resource', NULL, NULL, 'Y', '0', 'admin', '2023-04-27 03:52:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (3, '模型路径输入', '3', 'ai_model_resource', NULL, NULL, 'Y', '0', 'admin', '2023-04-27 03:52:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 4, 'PAAS', '4', 'ai_model_resource', NULL, NULL, 'Y', '0', 'admin', '2023-04-27 03:53:02', '', NULL, NULL);
INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (5, 'SAAS', '5', 'ai_model_resource', NULL, NULL, 'Y', '0', 'admin', '2023-04-27 03:53:10', '', NULL, NULL);
```

