```mysql
ALTER TABLE `pc_ai_model` 
ADD COLUMN `model_mode` int(1) NULL DEFAULT 2 COMMENT '模式一二三' AFTER `model_version`,
DROP PRIMARY KEY,
ADD PRIMARY KEY (`id`) USING BTREE
```







```sql
-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组', '3320', '1', '/pc/pc_point', 'C', '0', 'pc:pc_point:view', '#', 'admin', sysdate(), '', null, '设备组菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组查询', @parentId, '1',  '#',  'F', '0', 'pc:pc_point:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组新增', @parentId, '2',  '#',  'F', '0', 'pc:pc_point:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组修改', @parentId, '3',  '#',  'F', '0', 'pc:pc_point:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组删除', @parentId, '4',  '#',  'F', '0', 'pc:pc_point:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备组导出', @parentId, '5',  '#',  'F', '0', 'pc:pc_point:export',       '#', 'admin', sysdate(), '', null, '');



-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录', '3320', '1', '/pc/pc_point_record', 'C', '0', 'pc:pc_point_record:view', '#', 'admin', sysdate(), '', null, '流程记录菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录查询', @parentId, '1',  '#',  'F', '0', 'pc:pc_point_record:list',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录新增', @parentId, '2',  '#',  'F', '0', 'pc:pc_point_record:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录修改', @parentId, '3',  '#',  'F', '0', 'pc:pc_point_record:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录删除', @parentId, '4',  '#',  'F', '0', 'pc:pc_point_record:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, url, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)
values('流程记录导出', @parentId, '5',  '#',  'F', '0', 'pc:pc_point_record:export',       '#', 'admin', sysdate(), '', null, '');

```





```
select t.* from pc_monitoring_task_device d left join pc_monitoring_task t
on d.task_id = t.id
  <where>
      t.del_flag = 0
      and d.monitoring_device_id  = #{monitoringDeviceId}
  </where>
```





```java


<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label is-required"> 流程关联通道-->
<!--                ：</label>-->
<!--            <div class="col-sm-5">-->
<!--                <input type="hidden" name="deviceSetting[]" th:attr="device=${PcPointStepDevice1.id}"-->
<!--                       class="process-step-device" value="-1">-->
<!--                <select name="deviceIds[]" id="process-step-device" class="form-control  deviceIds-select">-->
<!--                    <option th:each="pcMonitoringDevice : ${pcMonitoringDevices}" th:text="${pcMonitoringDevice.name}"-->
<!--                            th:value="${pcMonitoringDevice.id}"-->
<!--                            th:selected="${PcPointStepDevice1.deviceId} == ${pcMonitoringDevice.id}"></option>-->
<!--                </select>-->
<!--            </div>-->
<!--            <label class="device-opt control-label">-->
<!--                <a class="btn-sm btn-success" onclick="setROI('process-step-device')">-->
<!--                    <i class="fa fa-cog"></i> 设置标记范围-->
<!--                </a>-->
<!--            </label>-->
<!--        </div>-->
<!--        <div class="add-new-device">-->
<!--            <div th:class="'form-group ' + ${PcPointStepDevice.id} + '-top'"-->
<!--                 th:each="PcPointStepDevice : ${pcPointStepDevices}">-->
<!--                <label class="col-sm-3 control-label"> </label>-->
<!--                <div class="col-sm-5">-->
<!--                    <input type="hidden" name="deviceSetting[]" th:attr="device=${PcPointStepDevice.id}"-->
<!--                           th:class="${PcPointStepDevice.id}" value="-1">-->

<!--                    <select name="deviceIds[]" class="form-control deviceIds-select"-->
<!--                            th:id="${PcPointStepDevice.id}">-->
<!--                        <option th:each="pcMonitoringDevice : ${pcMonitoringDevices}"-->
<!--                                th:text="${pcMonitoringDevice.name}" th:value="${pcMonitoringDevice.id}"-->
<!--                                th:selected="${PcPointStepDevice.deviceId} == ${pcMonitoringDevice.id}"-->
<!--                        ></option>-->
<!--                    </select>-->

<!--                </div>-->
<!--                <label class="device-opt control-label">-->
<!--                    <a class="btn-sm btn-success" th:onclick="setROI([[${PcPointStepDevice.Id}]])">-->
<!--                        <i class="fa fa-cog"></i> 设置标记范围-->
<!--                    </a>-->
<!--                    &lt;!&ndash;                    <a href="">设置标记范围</a>&ndash;&gt;-->
<!--                </label>-->
<!--                <label class="device-opt control-label">-->
<!--                    <a class="btn-sm btn-danger" th:onclick="delDevice([[${PcPointStepDevice.Id}]])">-->
<!--                        <i class="fa fa-trash-o"></i> 删除-->
<!--                    </a>-->
<!--                </label>-->
<!--            </div>-->
<!--        </div>-->

<!--        <div>-->
<!--            <div class="form-group">-->
<!--                <label class="col-sm-3 control-label"> </label>-->
<!--                <div class="col-sm-8">-->
<!--                    <a class="btn dim btn-block" href="javascript:addNewDevice()">-->
<!--                        <i class="fa fa-plus"></i>添加通道-->
<!--                    </a>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->


<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label is-required"> 是否必做-->
<!--                ：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <div class="switch" style="display: flex">-->
<!--                    <div class="onoffswitch" style="float: left">-->
<!--                        <input type="hidden" name="mustFlag" th:value="*{mustFlag}">-->
<!--                        <input type="checkbox" class="onoffswitch-checkbox" th:attr="checked=(*{mustFlag}==1?true:false)" id="mustFlag">-->
<!--                        <label class="onoffswitch-label" for="mustFlag">-->
<!--                            <span class="onoffswitch-inner"></span>-->
<!--                            <span class="onoffswitch-switch"></span>-->
<!--                        </label>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->

<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label is-required">结果是否存在-->
<!--                ：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <div class="switch" style="display: flex">-->
<!--                    <div class="onoffswitch" style="float: left">-->
<!--                        <input type="hidden" name="targetExists" th:value="*{targetExists}">-->
<!--                        <input type="checkbox" class="onoffswitch-checkbox" th:attr="checked=(*{targetExists}==1?true:false)" id="targetExists">-->
<!--                        <label class="onoffswitch-label" for="targetExists">-->
<!--                            <span class="onoffswitch-inner"></span>-->
<!--                            <span class="onoffswitch-switch"></span>-->
<!--                        </label>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label is-required">是否全程监测-->
<!--                ：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <div class="switch" style="display: flex">-->
<!--                    <div class="onoffswitch" style="float: left">-->
<!--                        <input type="hidden" name="fullMonitor" th:value="*{fullMonitor}">-->
<!--                        <input type="checkbox" class="onoffswitch-checkbox" th:attr="checked=(*{fullMonitor}==1?true:false)" id="fullMonitor">-->
<!--                        <label class="onoffswitch-label" for="fullMonitor">-->
<!--                            <span class="onoffswitch-inner"></span>-->
<!--                            <span class="onoffswitch-switch"></span>-->
<!--                        </label>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->

<!--        <div class="form-group">-->
<!--            <label class="col-sm-3 control-label">检测前置秒数-->
<!--                ：</label>-->
<!--            <div class="col-sm-8">-->
<!--                <input name="monitorPrefixSecond" th:field="*{monitorPrefixSecond}" class="form-control"-->
<!--                       type="text">-->
<!--            </div>-->
<!--        </div>-->
```

\





```
select  d.* from pc_monitoring_task t left join pc_monitoring_task_device d on t.id = d.task_id
where t.fill_flag = 1 and t.del_flag = 0 and d.monitoring_device_id in
<foreach item="id" collection="array" open="(" separator="," close=")">
    #{id}
</foreach>
group by t.id
```











安全监护人：guardian_person_duty
车后侧巡视人员：rear_car_patrol_person
鹤管排放动作：pipes_discharge_action
鹤管连接正确：connecte_pipes_correct
特殊鹤管连接正确：ts_connecte_pipes_correct
鹤管：pipes
悬梯：ladder
安全绳：safety_sling
人孔盖关闭：manhole_cover_close
人孔盖开启：manhole_cover_open
人孔盖开启（特殊）：ts_manhole_cover_open
人：people



车尾2-安全监护人,车尾2-车后侧巡视人员,车尾2-鹤管排放动作,车尾2-鹤管连接正确,车尾2-特殊鹤管连接正确,车尾2-鹤管,车尾2-悬梯,车尾2-安全绳,车尾2-人孔盖关闭,车尾2-人孔盖开启,车尾2-人

guardian_person_duty,rear_car_patrol_person,pipes_discharge_action,connecte_pipes_correct,ts_connecte_pipes_correct,pipes,ladder,safety_sling,manhole_cover_close,manhole_cover_open,people









安全监护人：guardian_person_duty
装卸前阀门检查动作：valve_inspection_action
车后侧巡视人员：rear_car_patrol_person
车头：truck_head
挡车牌：baffle
人：people

安全监护人,装卸前阀门检查动作,车后侧巡视人员,车头,挡车牌,人

guardian_person_duty,valve_inspection_action,rear_car_patrol_person,truck_head,baffle,people
