> 数据库变更
>

```sql
ALTER TABLE `pc_ai_model` 
ADD COLUMN `model_type` varchar(50) NULL COMMENT '模型类型' AFTER `model_path`;

ALTER TABLE `pc_monitoring_device` 
ADD COLUMN `need_cut_image` tinyint(1) NULL COMMENT '是否需要截图： 1  是   0  否' AFTER `security_id`,
ADD COLUMN `background_image` varchar(255) NULL COMMENT '背景图' AFTER `need_cut_image`;


INSERT INTO `sys_dict_type` (`dict_name`, `dict_type`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('模型类型', 'model_type', '0', 'admin', '2023-01-10 15:07:56', '', NULL, NULL);

INSERT INTO `sys_dict_data` ( `dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (1, 'detection', 'detection', 'model_type', NULL, NULL, 'Y', '0', 'admin', '2023-01-10 15:09:51', '', NULL, NULL);

INSERT INTO `sys_dict_data` (`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES (2, 'trad_carryOver', 'trad_carryOver', 'model_type', NULL, NULL, 'Y', '0', 'admin', '2023-01-10 15:11:06', '', NULL, NULL);



-- 避免截图大小不一致
INSERT INTO `aicsp_ipc_flask`.`sys_config` (`config_name`, `config_key`, `config_value`, `config_type`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('ffmpeg截图命令', 'screenshot_of_model', 'ffmpeg -i "#streamUrl#" -vframes 1 -y -f image2 "#imgPath#"', 'Y', 'admin', '2022-10-18 18:21:52', '', NULL, NULL);


```

ALTER TABLE `pc_monitoring_device` 
ADD COLUMN `need_cut_image` tinyint(1) NULL COMMENT '是否需要截图： 1  是   0  否' AFTER `address`,
ADD COLUMN `background_image` varchar(255) NULL COMMENT '背景图' AFTER `need_cut_image`


