```shell 
wget https://download.redis.io/releases/redis-7.0.3.tar.gz
```

### redis启动脚本

[↓↓↓↓↓↓教程地址↓↓↓↓↓↓](https://blog.csdn.net/rockstar541/article/details/102567130)








>  解决linux下redis数据库overcommit_memory问题  以及  

```shell
vim /etc/sysctl.conf

####
# 新增以下内容
####
#内核参数overcommit_memory
#可选值：0、1、2。
#0， 表示内核将检查是否有足够的可用内存供应用进程使用；如果有足够的可用内存，内存申请允许；否则，内存申请失败，并把错误返回给应用进程。
#1， 表示内核允许分配所有的物理内存，而不管当前的内存状态如何。
#2， 表示内核允许分配超过所有物理内存和交换空间总和的内存
vm.overcommit_memory = 1

#Deal with : WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn
net.core.somaxconn= 1024
```

> 解决 ： WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command ‘echo never > /sys/kernel/mm/transparent_hugepage/enabled’ as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled

```shell
vim /etc/rc.local

#关闭 redis THP
echo never > /sys/kernel/mm/transparent_hugepage/enabled

```



