# 安装`Prometheus(普罗米修斯)`

> 领取镜像

```shell
docker pull prom/node-exporter
docker pull prom/prometheus
docker pull grafana/grafana
```

> 启动 node-exporter

```shell
docker run -d -p 9100:9100 \
  -v "/proc:/host/proc:ro" \
  -v "/sys:/host/sys:ro" \
  -v "/:/rootfs:ro" \
  --net="host" \
  prom/node-exporter
```

> 启动 prometheus

```shell
docker run  -d \
  -p 9090:9090 \
  -v /opt/prometheus/prometheus.yml:/etc/prometheus/prometheus.yml  \
  prom/prometheus
```

> 启动grafana

```shell
#创建文件夹
mkdir /opt/grafana-storage
#设置权限
chmod 755 -R /opt/grafana-storage

docker run -d \
  -p 3000:3000 \
  --name=grafana \
  -v /opt/grafana-storage:/var/lib/grafana \
  grafana/grafana
```

8083   8085  

面板使用 ：8919